[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Accepted sdl-image1.2 1.2.2-1 (i386 source)

On Wed, Jul 24, 2002 at 03:28:29PM -0500, Marcelo E. Magallon wrote:
> >> "Marcelo E. Magallon" <mmagallo@debian.org> writes:
>  >  0. Recompile libpng2 and libpng3 with versioned symbols.
>  If someone wants to check that I'm not doing anything silly, please
>  take a look at http://people.debian.org/~mmagallo/png/; you'll find
>  source packages for versioned versions of both libpng2 and libpng3.
>  If noone has objections we can start this transition now and hope to be
>  done with it by the end of the year.

I built and installed libpng3. Then tried to build sdl-image1.2 with it
(anybody noticed the subject of this thread?). I added 
libpng3-dev (>= 1.2.1-1.2) to the Build-Depends. I have to build-depend on
libpng3-dev, because libpng-dev is also provided by libpng(2)? Well:

dpkg-checkbuilddeps: Unmet build dependencies: libpng3-dev (>= 1.2.1-1.2)

Is this because the package is called libpng-dev and not libpng3-dev?
What are the propper build-depends, libpng-dev (>= 1.2.1-1.2) seems to work.
Do add this dependency also to libsdl-image1.2-dev?

So how do I fix the current sdl-image problem, criticalmass is still not
running with this new version of sdl-image, since criticalmass was built
with png2, sdl-image with png3. Do I need an sdl-version with with libpngs?
Or do I need to wait until criticalmass (and maybe more) is recompiled with
the new sdl-image? So there will be breakage while sdl-image goes from png2
to png3, even if I hadn't uploaded the package built with png3 yet?

If the whole transistion takes longer than a week, and I guess it will, I
need somebody to do an NMU of sdl-image, because I won't be available in
august and most of september. Marcelo?


To UNSUBSCRIBE, email to debian-devel-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Reply to: